.question {

    .question-mob {
        margin: 1rem;
    }

    .f-14 {
        font-size: 14px;
    }

    .testing {
        margin-left: 3rem;
    }

    form {
        input[type=radio] {
            position: absolute;
            visibility: hidden;
            margin-top: -2px;
            margin-left: -22px;
            cursor: pointer;
            -moz-appearance: none;

            &:checked:after, &:after {
                visibility: visible;
                font-family: FontAwesome;
                display: inline-block;
                color: #4586C6;
            }

            &:checked:after {
                font-size: 18px;
                content: "\f111";
            }

            &:after {
                font-size: 18px;
                content: "\f10c";
            }
        }

        .grid-radio {
            display: grid;

            label {
                cursor: pointer;
                width: fit-content;
            }
        }

        .input-content {
            max-width: fit-content !important;
        }

        .label-dispaly {
            display: inherit;
        }

        .information-dispaly {
            display: flex;
        }

        .ccw-heading {
            border-bottom: 1px solid #e0e0e0;
            max-width: min-content;
        }
        .type-index {
            max-width: min-content;
            padding-right: 2%;
        }
        .display-ccw {
            display: -webkit-box;
        }
    }

    .action-div {
        padding: 20px 0;
        justify-content: space-around;
        display: flex;
        float: none;
        margin-top: 10%;
    }

    textarea {
        resize: none;

        &.ng-valid, &.ng-invalid {
            border: 1px solid rgba(0, 0, 0, 0.15);
        }
    }

    .appendix-heading {
        padding-bottom: 5px;
        border-bottom: 2px solid #4586C6;
        line-height: 25px;
    }

    .disabled {
        pointer-events: none;
    }
}

@media screen and (max-width: 767px) {
    .question {
        .question-mob {
            margin: 0;
        }

        form {
            .d-flex {
                flex-direction: column;
            }

            .label-dispaly {
                max-width: 100%;
            }

            .requirement-label {
                display: flex;
                max-width: 100%;
            }
            .ccw-label {
                display: flex;
                padding: 0;
            }

            .display-ccw {
                max-width: 100%;
            }
        }
        .shadow-view {
            box-shadow: 0 1px 9px 2px #d6d6d6;
            padding: 4%;
        }

        .testing {
            margin-left: 0;
        }
    }
}
@media screen and (min-width: 767px) and (max-width: 1040px){
    .question {
        form {
            .requirement-label {
                display: flex;
            }
        }
    }
}
